com.pivotal.gemfirexd.internal.client.net

## Class NetResultSetRequest

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Request
  - - com.pivotal.gemfirexd.internal.client.net.NetConnectionRequest
    - - com.pivotal.gemfirexd.internal.client.net.NetPackageRequest
      - - com.pivotal.gemfirexd.internal.client.net.NetStatementRequest
        - - com.pivotal.gemfirexd.internal.client.net.NetResultSetRequest

All Implemented Interfaces:
  ConnectionRequestInterface, ResultSetRequestInterface, StatementRequestInterface

Direct Known Subclasses:
  NetXAConnectionRequest

    public class NetResultSetRequest
    extends NetStatementRequest
    implements ResultSetRequestInterface

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.Request

`bytes_, ccsidManager_, DSS_CONTINUATION_LEN, dssLengthLocation_, netAgent_, offset_, passwordIncluded_, passwordLength_, passwordStart_`

### Constructor Summary

Constructors
Constructor and Description
`NetResultSetRequest(NetAgent netAgent, CcsidManager ccsidManager, int bufferSize)`

### Method Summary

Methods
`void` `writeCursorClose(NetResultSet resultSet, Section section)`
`void` `writeFetch(NetResultSet resultSet, Section section, int fetchSize)`
`void` `writePositioningFetch(NetResultSet resultSet, Section section, int orientation, long rowToFetch)`
`void` `writeScrollableFetch(NetResultSet resultSet, Section section, int fetchSize, int orientation, long rowToFetch, boolean resetQueryBlocks)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetStatementRequest

`buildOUTOVR, buildSQLCADTA, buildSQLDTA, buildSQLDTAGRP, buildSQLDTARD, writeDescribeInput, writeDescribeOutput, writeExecute, writeExecute, writeExecuteCall, writeExecuteImmediate, writeGetStmtUUID, writeOpenQuery, writeOpenQuery, writePrepare, writePrepareDescribeOutput, writeSetSpecialRegister`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetPackageRequest

`buildSQLATTRcommandData, buildSQLSTTcommandData, encryptDataStream`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetConnectionRequest

`writeCommitSubstitute, writeForget, writeLocalCommit, writeLocalRollback, writeLocalXACommit, writeLocalXARollback, writeLocalXAStart, writeReleaseConversation, writeSYNCType, writeXaCommit, writeXaEndUnitOfWork, writeXaForget, writeXaPrepare, writeXaRecover, writeXaRollback, writeXaStartUnitOfWork`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.Request

`calculateExtendedLengthByteCount, clearBuffer, createCommand, createXACommand, doesRequestContainData, ensureLength, finalizeDssLength, finalizePreviousChainedDss, flush, flushExistingDSS, flushScalarStreamSegment, flushScalarStreamSegment, mark, markForCachingPKGNAMCSN, markLengthBytes, padScalarStreamForError, popMark, popMarkForCachingPKGNAMCSN, prepScalarStream, sendBytes, setCorrelationID, setDssLengthLocation, updateLengthBytes, writeDouble, writeFloat, writeIntFdocaData, writeLongFdocaData, writeScalar1Byte, writeScalar4Bytes, writeShortFdocaData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NetResultSetRequest

    public NetResultSetRequest(NetAgent netAgent,
                       CcsidManager ccsidManager,
                       int bufferSize)

### Method Detail

#### writeFetch

    public void writeFetch(NetResultSet resultSet,
                  Section section,
                  int fetchSize)
                    throws SqlException

Specified by:
  `writeFetch` in interface `ResultSetRequestInterface`
Throws:
  `SqlException`

#### writeScrollableFetch

    public void writeScrollableFetch(NetResultSet resultSet,
                            Section section,
                            int fetchSize,
                            int orientation,
                            long rowToFetch,
                            boolean resetQueryBlocks)
                              throws SqlException

Specified by:
  `writeScrollableFetch` in interface `ResultSetRequestInterface`
Throws:
  `SqlException`

#### writePositioningFetch

    public void writePositioningFetch(NetResultSet resultSet,
                             Section section,
                             int orientation,
                             long rowToFetch)
                               throws SqlException

Specified by:
  `writePositioningFetch` in interface `ResultSetRequestInterface`
Throws:
  `SqlException`

#### writeCursorClose

    public void writeCursorClose(NetResultSet resultSet,
                        Section section)
                          throws SqlException

Specified by:
  `writeCursorClose` in interface `ResultSetRequestInterface`
Throws:
  `SqlException`